Reports - Dial-In Groups (DGRPs)

Contents

Was this article helpful?

Yes No

Introduction

A Dial-In Group (DGRP) represents a collection of one or more phone numbers that can be dialled. DGRPs can contain both pool numbers and fixed numbers. Pool numbers are dynamically assigned to a Visitor to your web site, whereas Fixed numbers are assigned to a fixed Channel and Usage Filter.

  • Each DGRP is assigned a numeric ID that can be used to reference it in the APIs.
  • DGRPs can contain either or both fixed and pool numbers.
  • A single DGRP of pool numbers can be displayed in multiple places on a web page if required.
  • Call features can be enabled/disabled at DGRP level.
  • Each DGRP is associated with an IGRP.
  • Each DGRP can have its own number allocation config for each channel.

DGRP Properties

These are the DGRP properties that can be accessed using the API.

Property Description
igrp (int) Installation ID this DGRP is associated to.
dgrp (int) Dial-In Group ID.
dgrpRef (string) Your reference for this Dial-In Group (e.g. “sales”).
dgrpName (string) Friendly name of the Dial-In Group (e.g. “Sales Numbers”).
dgrpType (date) Type of DGRP. The valid values are offline & nas.
segment (int) Segment ID this DGRP is associated to.
startDate (date) Start date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
endDate (date) End date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
dgrpStatus (int) An integer representing dgrp status: 200 - active, 410 - expired.

List DGRPs

Returns a list of DGRPs that the current user can access.

Request:

HTTP / Text
GET /reports/v2/igrps/{IGRP SPECIFIER}/dgrps

URL Path Params

Property Description
IGRP SPECIFIER (int) Installation ID.

GET Params

Property Description
sort (array)
OPTIONAL
One or more sorts, see Sort Types.
filter (array)
OPTIONAL
One or more filters, see Filter Types.
limit (int)
OPTIONAL
Limit result set, see Pagination.
offset (int)
OPTIONAL
Offset result set, see Pagination.

Response:

Returns a list of DGRPs under the given {IGRP SPECIFIER} that the user has access to.

Property Description
igrp (int) Installation ID.
dgrp (int) Dial-In Group ID.
dgrpRef (string) Your reference for this Dial-In Group (e.g. “sales”).
dgrpName (string) Friendly name of the Dial-In Group (e.g. “Sales Numbers”).
dgrpType (date) Type of DGRP. The valid values are offline & nas.
segment (int) Segment ID this DGRP is associated to.
startDate (date) Start date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
endDate (date) End date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
dgrpStatus (int) An integer representing dgrp status: 200 - active, 410 - expired.
JSON
{"igrp":1,"dgrp":11,"dgrpName":"Sales Enquiries","dgrpType":"offline","dgrpRef":"sales","segment":1,"startDate":"2011-04-04","endDate":"2012-01-01", "dgrpStatus":"410"}
{"igrp":1,"dgrp":12,"dgrpName":"Timetable Enquiries","dgrpType":"nas","dgrpRef":"timetable","segment":1,"startDate":"2011-04-04","endDate":"0000-00-00", "dgrpStatus":"200"}

Read DGRP Config

Returns the properties for a particular DGRP.

Request:

HTTP / Text
GET /reports/v2/igrps/{IGRP SPECIFIER}/dgrps/{DGRP SPECIFIER}

URL Path Params

Property Description
IGRP SPECIFIER (int) Installation ID.
DGRP SPECIFIER (int) DGRP ID.

Response:

Returns the details of the Dial-In Group (DGRP) specified by the IGRP and DGRP

Property Description
igrp (int) Installation ID.
dgrp (int) Dial-In Group ID.
dgrpRef (string) Your reference for this Dial-In Group (e.g. “sales”).
dgrpName (string) Friendly name of the Dial-In Group (e.g. “Sales Numbers”).
dgrpType (date) Type of DGRP. The valid values are offline & nas.
segment (int) Segment ID this DGRP is associated to.
startDate (date) Start date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
endDate (date) End date for the DGRP (Date format: yyyy-mm-dd e.g. “2011-12-29”).
dgrpStatus (int) An integer representing dgrp status: 200 - active, 410 - expired.
JSON
{"igrp":1,"dgrp":11,"dgrpName":"Sales Enquiries","dgrpType":"offline","dgrpRef":"sales","segment":1,"startDate":"2011-04-04","endDate":"0000-00-00", "dgrpStatus":"200"}
0333 0600 118